v2.0.0
Public Member Functions
dma_channel_hw_t Struct Reference

## Public Member Functions
| _REG_ (DMA_CH0_READ_ADDR_OFFSET) io_rw_32 read_addr
| _REG_ (DMA_CH0_WRITE_ADDR_OFFSET) io_rw_32 write_addr
| _REG_ (DMA_CH0_TRANS_COUNT_OFFSET) io_rw_32 transfer_count
| _REG_ (DMA_CH0_CTRL_TRIG_OFFSET) io_rw_32 ctrl_trig
| _REG_ (DMA_CH0_AL1_CTRL_OFFSET) io_rw_32 al1_ctrl
| _REG_ (DMA_CH0_AL1_READ_ADDR_OFFSET) io_rw_32 al1_read_addr
| _REG_ (DMA_CH0_AL1_WRITE_ADDR_OFFSET) io_rw_32 al1_write_addr
| _REG_ (DMA_CH0_AL1_TRANS_COUNT_TRIG_OFFSET) io_rw_32 al1_transfer_count_trig
| _REG_ (DMA_CH0_AL2_CTRL_OFFSET) io_rw_32 al2_ctrl
| _REG_ (DMA_CH0_AL2_TRANS_COUNT_OFFSET) io_rw_32 al2_transfer_count
| _REG_ (DMA_CH0_AL2_READ_ADDR_OFFSET) io_rw_32 al2_read_addr
| _REG_ (DMA_CH0_AL2_WRITE_ADDR_TRIG_OFFSET) io_rw_32 al2_write_addr_trig
| _REG_ (DMA_CH0_AL3_CTRL_OFFSET) io_rw_32 al3_ctrl
| _REG_ (DMA_CH0_AL3_WRITE_ADDR_OFFSET) io_rw_32 al3_write_addr
| _REG_ (DMA_CH0_AL3_TRANS_COUNT_OFFSET) io_rw_32 al3_transfer_count
| _REG_ (DMA_CH0_AL3_READ_ADDR_TRIG_OFFSET) io_rw_32 al3_read_addr_trig
| _REG_ (DMA_CH0_READ_ADDR_OFFSET) io_rw_32 read_addr
| _REG_ (DMA_CH0_WRITE_ADDR_OFFSET) io_rw_32 write_addr
| _REG_ (DMA_CH0_TRANS_COUNT_OFFSET) io_rw_32 transfer_count
| _REG_ (DMA_CH0_CTRL_TRIG_OFFSET) io_rw_32 ctrl_trig
| _REG_ (DMA_CH0_AL1_CTRL_OFFSET) io_rw_32 al1_ctrl
| _REG_ (DMA_CH0_AL1_READ_ADDR_OFFSET) io_rw_32 al1_read_addr
| _REG_ (DMA_CH0_AL1_WRITE_ADDR_OFFSET) io_rw_32 al1_write_addr
| _REG_ (DMA_CH0_AL1_TRANS_COUNT_TRIG_OFFSET) io_rw_32 al1_transfer_count_trig
| _REG_ (DMA_CH0_AL2_CTRL_OFFSET) io_rw_32 al2_ctrl
| _REG_ (DMA_CH0_AL2_TRANS_COUNT_OFFSET) io_rw_32 al2_transfer_count
| _REG_ (DMA_CH0_AL2_READ_ADDR_OFFSET) io_rw_32 al2_read_addr
| _REG_ (DMA_CH0_AL2_WRITE_ADDR_TRIG_OFFSET) io_rw_32 al2_write_addr_trig
| _REG_ (DMA_CH0_AL3_CTRL_OFFSET) io_rw_32 al3_ctrl
| _REG_ (DMA_CH0_AL3_WRITE_ADDR_OFFSET) io_rw_32 al3_write_addr
| _REG_ (DMA_CH0_AL3_TRANS_COUNT_OFFSET) io_rw_32 al3_transfer_count
| _REG_ (DMA_CH0_AL3_READ_ADDR_TRIG_OFFSET) io_rw_32 al3_read_addr_trig

The documentation for this struct was generated from the following files:

- include/hardware/structs/dma.h
- include/hardware/structs/dma.h